<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Grpc.Net.Client" Version="2.54.0" />
    <PackageReference Include="Kavenegar" Version="1.2.5" />
    <PackageReference Include="MailKit" Version="4.14.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="9.0.11" />
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="9.0.11" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.11" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.11">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="9.0.11" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.11" />
    <PackageReference Include="Polly" Version="8.5.0" />
    <PackageReference Include="SixLabors.ImageSharp" Version="3.1.7" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\CMSMicroservice.Application\CMSMicroservice.Application.csproj" />
    <ProjectReference Include="..\CMSMicroservice.Protobuf\CMSMicroservice.Protobuf.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Persistence\Migrations\" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Persistence\StoredProcedures\*.sql" />
  </ItemGroup>
</Project>